Add Guests

Add guests to the event. By default, guests are added with the status "Going" (approved) and receive one ticket of the default ticket type. Use the ticket or tickets parameter to specify custom ticket assignments. Get available ticket types using /v1/events/ticket-types/list. Use approval_status to add guests as pending approval or on the waitlist instead of immediately approved. Use registration_answers on each guest to record answers to the event's registration questions — question IDs come from the registration_questions field of Get Event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Event ID, this usually starts with evt-

guests
array of objects
required
guests*
object | null

Optional. Assign a single ticket of the specified type to each guest. Cannot be used with tickets parameter.

array | null

Optional. Assign multiple tickets to each guest. Each guest receives all tickets in the array. Use this to add multiple tickets of the same or different types. Cannot be used with ticket parameter.

enum

Optional. Status to assign to each added guest. Defaults to approved ("Going"). Use pending_approval to add guests for host review, or waitlist to add to the event waitlist. To send a soft invite that guests can accept, use /v1/events/guests/send-invites instead.

Optional. Whether Luma should email each added guest. Defaults to true. Set to false if your integration sends its own notifications.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json